Bug 328191 - loader goes boom (malloc corruption)
loader goes boom (malloc corruption)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Blocker
  Show dependency treegraph
 
Reported: 2007-10-11 15:20 EDT by Bill Nottingham
Modified: 2014-03-16 23:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-12 16:05:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-11 15:20:34 EDT
Description of problem:

*** glibc detected *** /sbin/loader: malloc(): memory corruption: 0x0901fb20 ***
Backtrace:
[0x819fd14]
[0x81a1358]
[0x81a4b72]
[0x80622a8]
[0x8069e9a]
[0x806153e]
[0x804b1fb]
[0x8174c34]
[0x8048151]
=== Memory Map: ====
00110000-00111000 r-xp 00110000 00:00 0 [vdso]
08048000-0828d000 r-xp 00000000 00:01 46 /sbin/loader
0828d000-08298000 rw-p 00244000 00:01 46 /sbin/loader
<and various anon mappings, stack, etc>

Version-Release number of selected component (if applicable):

rawhide-20071011
Comment 1 Bill Nottingham 2007-10-11 15:21:10 EDT
Happens after mounting NFS, or finishing downloading HTTP stage2.
Comment 2 Chris Lumens 2007-10-11 15:54:00 EDT
On tty3, what are you seeing immediately before the crash?  There should be a
line of the form:

transferring http://something/somewhere to a fd
Comment 3 Bill Nottingham 2007-10-11 16:02:25 EDT
Hey, it's the updates image.

transferring http://172.31.4.2/fedora/updates.img to a fd
Comment 4 Chris Lumens 2007-10-12 16:05:56 EDT
This will be fixed in the next build of anaconda.

Note You need to log in before you can comment on or make changes to this bug.